package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * GatewayCustomAclUpdateEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class GatewayCustomAclUpdateEntity   {
  @JsonProperty("adds")
  @Valid
  private List<GatewayCustomAclAddEntity> adds = null;

  @JsonProperty("deletes")
  @Valid
  private List<String> deletes = null;

  @JsonProperty("modifies")
  @Valid
  private List<GatewayCustomAclModifyEntity> modifies = null;

  public GatewayCustomAclUpdateEntity adds(List<GatewayCustomAclAddEntity> adds) {
    this.adds = adds;
    return this;
  }

  public GatewayCustomAclUpdateEntity addAddsItem(GatewayCustomAclAddEntity addsItem) {
    if (this.adds == null) {
      this.adds = new ArrayList<>();
    }
    this.adds.add(addsItem);
    return this;
  }

  /**
   * Added Custom ACLs.
   * @return adds
  */
  @ApiModelProperty(value = "Added Custom ACLs.")

  @Valid

  public List<GatewayCustomAclAddEntity> getAdds() {
    return adds;
  }

  public void setAdds(List<GatewayCustomAclAddEntity> adds) {
    this.adds = adds;
  }

  public GatewayCustomAclUpdateEntity deletes(List<String> deletes) {
    this.deletes = deletes;
    return this;
  }

  public GatewayCustomAclUpdateEntity addDeletesItem(String deletesItem) {
    if (this.deletes == null) {
      this.deletes = new ArrayList<>();
    }
    this.deletes.add(deletesItem);
    return this;
  }

  /**
   * Deleted Custom ACLs.
   * @return deletes
  */
  @ApiModelProperty(value = "Deleted Custom ACLs.")


  public List<String> getDeletes() {
    return deletes;
  }

  public void setDeletes(List<String> deletes) {
    this.deletes = deletes;
  }

  public GatewayCustomAclUpdateEntity modifies(List<GatewayCustomAclModifyEntity> modifies) {
    this.modifies = modifies;
    return this;
  }

  public GatewayCustomAclUpdateEntity addModifiesItem(GatewayCustomAclModifyEntity modifiesItem) {
    if (this.modifies == null) {
      this.modifies = new ArrayList<>();
    }
    this.modifies.add(modifiesItem);
    return this;
  }

  /**
   * Modified Custom ACLs.
   * @return modifies
  */
  @ApiModelProperty(value = "Modified Custom ACLs.")

  @Valid

  public List<GatewayCustomAclModifyEntity> getModifies() {
    return modifies;
  }

  public void setModifies(List<GatewayCustomAclModifyEntity> modifies) {
    this.modifies = modifies;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    GatewayCustomAclUpdateEntity gatewayCustomAclUpdateEntity = (GatewayCustomAclUpdateEntity) o;
    return Objects.equals(this.adds, gatewayCustomAclUpdateEntity.adds) &&
        Objects.equals(this.deletes, gatewayCustomAclUpdateEntity.deletes) &&
        Objects.equals(this.modifies, gatewayCustomAclUpdateEntity.modifies);
  }

  @Override
  public int hashCode() {
    return Objects.hash(adds, deletes, modifies);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class GatewayCustomAclUpdateEntity {\n");
    
    sb.append("    adds: ").append(toIndentedString(adds)).append("\n");
    sb.append("    deletes: ").append(toIndentedString(deletes)).append("\n");
    sb.append("    modifies: ").append(toIndentedString(modifies)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

